! EUC-jp
! 自由形式のfortranで書いています。
! g77でコンパイルする場合は g77 -ffree-form -o gyaku4 gyaku4.f
! gfortran でコンパイルする場合は拡張子を.f90にして、
!日本語出力がある場合は、文字コードをutf-8にしてください。
!
!        ↓2P/3                 ↓P/3
! --------------------------------
!△  L          2L       △   L
!逆対称4点曲げで、鋼板挿入集成材梁が
!曲げより先にせん断で壊れる短さのLを算出。
!
!
implicit real*8(a-h, o-z)
b=60.d-3
h=120.d-3
ts=9.d-3
hs=40.d-3
ew=9.d9
!ew=200.d9
es=200.d9
b=100.d-3; h=200.d-3; ts=6.4d-3; hs=60.d-3; ew=10.d9; es=210.d9
tauw=8.d6; sigmas=310.d6; sigmaw=30.d6
do
!if (hukasa>100) exit
print*,'桁高(mm)を入力'
read*,h
h=h/1.d3
print*,'桁幅(mm)を入力'
read*,b
b=b/1.d3
print*,'鋼板の高さ(1枚ぶんmm)を入力'
read*,hs
hs=hs/1.d3
yu=(h-2.d0*hs)/2.d0
qsoto=-yu**5/5.+h**2*yu**3/6.-h**4*yu/16.+h**5/60.
qs=ts**3/4.*qsoto
qwsoto=(b-ts)**3/4.*qsoto
qwnaka=2./15.*b**3*yu**5.
qw=qwsoto+qwnaka
!
as=2.d0*ts*hs
aw=b*h-as
print*,'As,Aw=',as,aw
si=ts*(h**3-(h-2.d0*hs)**3)/12.d0
wi=b*h**3/12.d0-si
print*,'Is,Iw=',si,wi
eiei=es*si+ew*wi
!p=8.d6/25.d0
p=2.d0*(aw+as)*tauw
print*,'EsIs+EwIw=',eiei
print*,'Lw=',3.d0*eiei*sigmaw/ew/p/h*2.d0*1.d2,'(cm)'
print*,'Ls=',3.d0*eiei*sigmas/es/p/h*2.d0*1.d2,'(cm)'
!以下は木換算のやり方
end do
end
!
